Bug 35139 - desktopconv hangs startx after 7.0 -> 7.1 upgrade
desktopconv hangs startx after 7.0 -> 7.1 upgrade
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-07 14:51 EDT by Ben Levenson
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-07 14:51:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2001-04-07 14:51:46 EDT
kdebase-2.1.1-8
Upgrade 7.0 KDE Workstation -> 7.1 qa0407.0

desktopconv results in sustained cpu load of 95% (or
more) for 5+ minutes.  The X session would not completely 
start up -- I was left with a gray screen and the mouse 
pointer.  I had to exit the process by typing 
<ctl-alt-backspace>.
Reproducibility: this has happened 2 of 3 times that I
have tried to run a KDE session after an upgrade.

steps to reproduce:
1- build 7.0 KDE workstation and open a KDE
   session at least once (before upgrading).
2- upgrade to 7.1
3- startx and see what happens when you ask
   desktopconv to 'convert' the 1.x config
   files.

This only happens the first time you try to run KDE after
the upgrade.  I guess desktopconv only tries to run once
whether it is successful or not.  Any subsequent attempts
to startx after the initial failure are successful.
All 1.X configurations were lost.
Comment 1 Bernhard Rosenkraenzer 2001-05-22 14:04:38 EDT
This was fixed in time for 7.1

Note You need to log in before you can comment on or make changes to this bug.